com.thinkaurelius.titan.graphdb.relations

## Class CacheEdge

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.internal.AbstractElement
  - - com.thinkaurelius.titan.graphdb.relations.AbstractTypedRelation
    - - com.thinkaurelius.titan.graphdb.relations.AbstractEdge
      - - com.thinkaurelius.titan.graphdb.relations.CacheEdge

- All Implemented Interfaces:
    Idfiable, TitanEdge, TitanElement, TitanRelation, InternalElement, InternalRelation, Removable, com.tinkerpop.blueprints.Edge, com.tinkerpop.blueprints.Element, Comparable<TitanElement>

      public class CacheEdge
      extends AbstractEdge

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Property Summary

    - ### Properties inherited from class com.thinkaurelius.titan.graphdb.relations.AbstractEdge

      `isProperty`

  - ### Field Summary

    - ### Fields inherited from class com.thinkaurelius.titan.graphdb.relations.AbstractTypedRelation

      `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheEdge(long id, EdgeLabel label, InternalVertex start, InternalVertex end, Entry data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getLifeCycle()`
    `<O> O` | `getPropertyDirect(RelationType type)`
    `Iterable<RelationType>` | `getPropertyKeysDirect()`
    `com.tinkerpop.blueprints.Direction` | `getVertexCentricDirection()`
    `InternalRelation` | `it()` Returns this element in the context of the current transaction.
    `void` | `remove()` Deletes this entity and any incident edges or properties from the graph.
    `<O> O` | `removePropertyDirect(RelationType type)`
    `void` | `setPropertyDirect(RelationType type, Object value)`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.relations.AbstractEdge

      `getArity, getEdgeLabel, getLabel, getLen, getOtherVertex, getVertex, getVertex, isDirected, isEdge, isProperty, isUnidirected, setVertexAt, toString`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.relations.AbstractTypedRelation

      `getDirection, getId, getProperty, getProperty, getProperty, getProperty, getPropertyKeys, getType, isHidden, isIncidentOn, isLoop, removeProperty, removeProperty, setProperty, setProperty, setProperty, tx`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.internal.AbstractElement

      `clone, compare, compareTo, equals, getCompareId, getLongId, hashCode, hasId, isLoaded, isNew, isRemoved, isTemporaryId, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanRelation

      `getDirection, getProperty, getType, isIncidentOn, isLoop, setProperty`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `setId`

- - ### Constructor Detail

    - #### CacheEdge

          public CacheEdge(long id,
                   EdgeLabel label,
                   InternalVertex start,
                   InternalVertex end,
                   Entry data)

  - ### Method Detail

    - #### getVertexCentricDirection

          public com.tinkerpop.blueprints.Direction getVertexCentricDirection()

    - #### it

          public InternalRelation it()

      Description copied from interface: `InternalElement`
      Returns this element in the context of the current transaction.
      Specified by:
        `it` in interface `InternalElement`
      Specified by:
        `it` in interface `InternalRelation`
      Overrides:
        `it` in class `AbstractTypedRelation`
      Returns:

    - #### getPropertyDirect

          public <O> O getPropertyDirect(RelationType type)

    - #### getPropertyKeysDirect

          public Iterable<RelationType> getPropertyKeysDirect()

    - #### setPropertyDirect

          public void setPropertyDirect(RelationType type,
                               Object value)

    - #### removePropertyDirect

          public <O> O removePropertyDirect(RelationType type)

    - #### getLifeCycle

          public byte getLifeCycle()

      Returns:
        The lifecycle of this element
      See Also:
        `ElementLifeCycle`

    - #### remove

          public void remove()

      Description copied from interface: `TitanElement`
      Deletes this entity and any incident edges or properties from the graph.

Copyright © 2012–2014. All rights reserved.